import {BASE_URL} from '../common/common.url-config';

export const CART_URL = {
    ADD_CART: BASE_URL + 'cart/add-cart',
    ADD_MULTI_CART: BASE_URL + 'cart/add-cart-multiple',
    CART_COUNT: BASE_URL + 'cart/cart-count',
    UPDATE_CART: BASE_URL + 'cart/update-cart-quantity',
    REMOVE_CART: BASE_URL + 'cart/remove-cart',
    ADDRESS_LIST: BASE_URL + 'get-address-info/',
    PAYMENT_LIST: BASE_URL + 'payment-gateway',
    SAVE_ORDER: BASE_URL + 'order-checkout',
    PROFILE_DETAIL: BASE_URL + 'get-profile-info/',
    ORDER_DETAIL: BASE_URL + 'order-checkout/',
    STRIPE_KEY: BASE_URL + 'order-checkout/public-key',
    COUPON_VALIDATE: BASE_URL + 'order-checkout/validate-coupon',
    SHIPMENT_CHARGE_URL: BASE_URL + 'shipping-gateway/best-shipment-charge',
    STRIPE_CHECK_OUT: BASE_URL + 'payment-gateway/stripe/payment',
    RAZOR_PAY_CHECK_OUT: BASE_URL + 'razor-pay/update-checkout',
    GET_RAZOR_PAY_KEY: BASE_URL + 'payment-gateway/razor-pay/public-key',
    RELEASE_ORDER: BASE_URL + 'payment-gateway/razor-pay/release-order/',
    ORDER_STRIPE: BASE_URL + 'payment-gateway/stripe/release-order/',
    STRIPE_URL: BASE_URL + 'payment-gateway/stripe',
    COD_URL: BASE_URL + 'payment-gateway/cod',
    RAZORPAY_URL: BASE_URL + 'payment-gateway/razor-pay',
    RAZORPAY_PAYMENT_URL: BASE_URL + 'payment-gateway/razor-pay/payment',
    HDFC_URL: BASE_URL + 'payment-gateway/hdfc',
    CASH_FREE_URL: BASE_URL + 'payment-gateway/cash-free',
    CASH_FREE_PAYMENT_URL: BASE_URL + 'payment-gateway/cash-free/payment',
    CASH_FREE_RELEASE_ORDER: BASE_URL + 'payment-gateway/cash-free/release-order/',
    CASH_BACK_METER_URL: BASE_URL + 'cart/cash-back-meter'
};
